com.threerings.whirled.spot.data

## Class SpotSceneObject

- java.lang.Object
- - com.threerings.presents.dobj.DObject
  - - com.threerings.crowd.data.PlaceObject
    - - com.threerings.whirled.data.SceneObject
      - - com.threerings.whirled.spot.data.SpotSceneObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable

Direct Known Subclasses:
  StageSceneObject

    public class SpotSceneObject
    extends SceneObject

Extends the `SceneObject` with information specific to spots.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.data.PlaceObject

`com.threerings.crowd.data.PlaceObject.ManagerCaller`

### Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject

`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`com.threerings.presents.dobj.DSet<Cluster>` `clusters` Contains information on all `Cluster`s in this scene.
`static String` `CLUSTERS` The field name of the `clusters` field.
`static String` `OCCUPANT_LOCS` The field name of the `occupantLocs` field.
`com.threerings.presents.dobj.DSet<SceneLocation>` `occupantLocs` A distributed set containing `SceneLocation` records for all occupants of this scene.

### Fields inherited from class com.threerings.crowd.data.PlaceObject

`manager, OCCUPANT_INFO, occupantInfo, occupants, OCCUPANTS, SPEAK_SERVICE, speakService`

### Fields inherited from interface com.threerings.crowd.chat.data.SpeakObject

`DEFAULT_IDENTIFIER`

### Constructor Summary

Constructors
Constructor and Description
`SpotSceneObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToClusters(Cluster elem)` Requests that the specified entry be added to the `clusters` set.
`void` `addToOccupantLocs(SceneLocation elem)` Requests that the specified entry be added to the `occupantLocs` set.
`void` `removeFromClusters(Comparable<?> key)` Requests that the entry matching the supplied key be removed from the `clusters` set.
`void` `removeFromOccupantLocs(Comparable<?> key)` Requests that the entry matching the supplied key be removed from the `occupantLocs` set.
`void` `setClusters(com.threerings.presents.dobj.DSet<Cluster> value)` Requests that the `clusters` field be set to the specified value.
`void` `setOccupantLocs(com.threerings.presents.dobj.DSet<SceneLocation> value)` Requests that the `occupantLocs` field be set to the specified value.
`void` `updateClusters(Cluster elem)` Requests that the specified entry be updated in the `clusters` set.
`void` `updateOccupantLocs(SceneLocation elem)` Requests that the specified entry be updated in the `occupantLocs` set.

### Methods inherited from class com.threerings.crowd.data.PlaceObject

`addToOccupantInfo, addToOccupants, applyToListeners, getChatIdentifier, getOccupantInfo, initManagerCaller, removeFromOccupantInfo, removeFromOccupants, setOccupantInfo, setSpeakService, shouldBroadcast, updateOccupantInfo`

### Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OCCUPANT_LOCS

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String OCCUPANT_LOCS

The field name of the `occupantLocs` field.

See Also:
  Constant Field Values

#### CLUSTERS

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String CLUSTERS

The field name of the `clusters` field.

See Also:
  Constant Field Values

#### occupantLocs

    public com.threerings.presents.dobj.DSet<SceneLocation> occupantLocs

A distributed set containing `SceneLocation` records for all occupants of this scene.

#### clusters

    public com.threerings.presents.dobj.DSet<Cluster> clusters

Contains information on all `Cluster`s in this scene.

### Constructor Detail

#### SpotSceneObject

    public SpotSceneObject()

### Method Detail

#### addToOccupantLocs

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToOccupantLocs(SceneLocation elem)

Requests that the specified entry be added to the `occupantLocs` set. The set will not change until the event is actually propagated through the system.

#### removeFromOccupantLocs

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromOccupantLocs(Comparable<?> key)

Requests that the entry matching the supplied key be removed from the `occupantLocs` set. The set will not change until the event is actually propagated through the system.

#### updateOccupantLocs

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void updateOccupantLocs(SceneLocation elem)

Requests that the specified entry be updated in the `occupantLocs` set. The set will not change until the event is actually propagated through the system.

#### setOccupantLocs

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setOccupantLocs(com.threerings.presents.dobj.DSet<SceneLocation> value)

Requests that the `occupantLocs` field be set to the specified value. Generally one only adds, updates and removes entries of a distributed set, but certain situations call for a complete replacement of the set value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### addToClusters

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToClusters(Cluster elem)

Requests that the specified entry be added to the `clusters` set. The set will not change until the event is actually propagated through the system.

#### removeFromClusters

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromClusters(Comparable<?> key)

Requests that the entry matching the supplied key be removed from the `clusters` set. The set will not change until the event is actually propagated through the system.

#### updateClusters

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void updateClusters(Cluster elem)

Requests that the specified entry be updated in the `clusters` set. The set will not change until the event is actually propagated through the system.

#### setClusters

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setClusters(com.threerings.presents.dobj.DSet<Cluster> value)

Requests that the `clusters` field be set to the specified value. Generally one only adds, updates and removes entries of a distributed set, but certain situations call for a complete replacement of the set value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.